Module Main

    Sub Main()

        Console.WriteLine(" -- Test di serializzaione XML --")

        Dim cfg As Configuration

        Dim strConfigFile As String = _
            IO.Path.GetDirectoryName(Reflection.Assembly.GetExecutingAssembly.Location) & _
            "\config.xml"

        If Not IO.File.Exists(strConfigFile) OrElse _
            (Environment.GetCommandLineArgs().Length > 1 AndAlso _
            Environment.GetCommandLineArgs()(1) = "DefaultConfig") Then

            Console.WriteLine("Creato file di configurazione di default.")
            Configuration.CreateDefaultConfig(strConfigFile)
        End If

        cfg = Configuration.LoadFromFile(strConfigFile)
        Console.WriteLine("Caricato file di configurazione.")
        cfg.TimesUsed += 1

        Console.WriteLine("Host: {0}", cfg.Host)
        Console.WriteLine("Porta: {0}", cfg.Port)
        Console.WriteLine("Utilizzato {0} volte.", cfg.TimesUsed)
        Console.WriteLine("URI: {0}", cfg.Uri.ToString())

        For Each usr As Configuration.UserPass In cfg.Users
            Console.WriteLine("Password di {0}: {1}", usr.User, usr.Pass)
        Next usr

        cfg.Save(strConfigFile)
        Console.WriteLine("Salvataggio effettuato.")
        Console.Read()
    End Sub

End Module
